<template>
    <div class="box-modalContent">
        <a href="#" class="btn-stat" @click="toggleOpened">
            <svg>
                <use xlink:href="/img/sprite.svg#marketing"></use>
            </svg>
            {{ $t('ui.header.short_stats.button') }}
        </a>
        <transition name="slide">
        <div class="box-modal" v-show="opened">
            <div class="box-topModal">
                <h2 class="title-h2">{{ $t('ui.header.short_stats.title') }}</h2>
                <svg class="close-modal" @click="close">
                    <use xlink:href="/img/sprite.svg#cancel-button"></use>
                </svg>
            </div>
            <div class="box-flex__element">
                <p class="text-element">
                    {{ $t('ui.header.short_stats.daily_payouts') }}
                    <span>{{ stats.daily_accruals }}$</span>
                </p>
                <p class="text-element">
                    {{ $t('ui.header.short_stats.users_balance') }}
                    <span>{{ stats.users_balances }} $</span>
                </p>
            </div>
            <div class="box-flex__element">
                <p class="text-element">
                    {{ $t('ui.header.short_stats.project_left') }}
                    <span>{{ stats.left_to_live }} <span class="lower">{{ $t('ui.days') }}</span></span>
                </p>
                <p class="text-element">
                    {{ $t('ui.header.short_stats.deposits_sum') }}
                    <span>{{ stats.deposits_sum }}$</span>
                </p>
            </div>
            <div class="box-flex__element">
                <p class="text-element">
                    {{ $t('ui.header.short_stats.users_online') }}
                    <span>{{ stats.online_users }} <span class="lower">{{ $t('ui.people') }}</span>.</span>
                </p>
                <p class="text-element">
                    {{ $t('ui.header.short_stats.withdraws_waiting') }}
                    <span>{{ stats.waiting_withdraws }}$</span>
                </p>
            </div>
            <div class="box-flex__element">
                <p class="text-element">
                    {{ $t('ui.header.short_stats.users_today') }}
                    <span>{{ stats.day_online }} <span class="lower">{{ $t('ui.people') }}</span>.</span>
                </p>
                <p class="text-element">
                    {{ $t('ui.header.short_stats.users_weekly') }}
                    <span>{{ stats.week_online }} <span class="lower">{{ $t('ui.people') }}</span>.</span>
                </p>
            </div>
        </div>
        </transition>
    </div>
</template>

<script>
import { mapGetters } from 'vuex';
export default {
    name: "ShortStats",
    data(){
        return {
            opened: false,
            stats: {}
        }
    },
    computed: {
        ...mapGetters([
            'axios'
        ])
    },
    methods: {
        load(){
            this.axios
                .get('short_stats')
                .then(r => r.data)
                .then(data => this.stats = data);
        },
        toggleOpened(){
            this.opened = !this.opened;
        },
        close(){
            this.opened = false;
        }
    },
    mounted() {
        this.load();
    }
}
</script>

<style scoped>
.box-modal{
    max-height: 1000px;
    overflow: hidden;
}
.slide-enter-active,
.slide-leave-active {
    transition: max-height 1s ease;
}
.slide-enter,
.slide-leave-to {
    max-height: 0px;
}
</style>
